EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRPOLYBEZIERTO16 Class Reference

EMF PolyBezierTo16. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRPOLYBEZIERTO16:

## Public Member Functions
| EMRPOLYBEZIERTO16 (const RECTL *bounds, const POINT16 *points, INT n)
| EMRPOLYBEZIERTO16 (const RECTL *bounds, const POINT *points, INT n)
| EMRPOLYBEZIERTO16 (DATASTREAM &ds)
| ~EMRPOLYBEZIERTO16 ()
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF PolyBezierTo16.

Draw a polygonal Bezier curve to (what?) using 16-bit points

## Constructor & Destructor Documentation

EMF::EMRPOLYBEZIERTO16::EMRPOLYBEZIERTO16 | ( | const RECTL * | bounds,
|  | const POINT16 * | points,
|  | INT | n
| ) |  |
| inline

Parameters

  bounds | overall bounding box of polybezier curve.
  points | array of polybezier vertices.
  n | number of vertices in points.

EMF::EMRPOLYBEZIERTO16::EMRPOLYBEZIERTO16 | ( | const RECTL * | bounds,
|  | const POINT * | points,
|  | INT | n
| ) |  |
| inline

Convenience constructor with POINTs.

Parameters

  bounds | overall bounding box of polybezier curve.
  points | array of polybezier vertices.
  n | number of vertices in points.

EMF::EMRPOLYBEZIERTO16::EMRPOLYBEZIERTO16 | ( | DATASTREAM & | ds | ) |
| inline

Construct a PolyBezier record from the input stream.

Parameters

  ds | Metafile datastream.

EMF::EMRPOLYBEZIERTO16::~EMRPOLYBEZIERTO16 | ( |  | ) |
| inline

Destructor frees a copy of the points it buffered.

## Member Function Documentation

void EMF::EMRPOLYBEZIERTO16::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRPOLYBEZIERTO16::serialize | ( | DATASTREAM | ds | ) |
| inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRPOLYBEZIERTO16::size | ( | void |  | ) | const
| inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h